Uses of Interface
org.actioncontroller.ApiHttpExchange.OutputStreamConsumer
-
Packages that use ApiHttpExchange.OutputStreamConsumer Package Description org.actioncontroller Action Controller is a framework that takes "controller" classes and generatesApiControllerActionfor each method annotated with a "routing mapper annotation" such asGET.org.actioncontroller.client org.actioncontroller.httpserver org.actioncontroller.jakarta org.actioncontroller.servlet org.actioncontroller.socket -
-
Uses of ApiHttpExchange.OutputStreamConsumer in org.actioncontroller
Methods in org.actioncontroller with parameters of type ApiHttpExchange.OutputStreamConsumer Modifier and Type Method Description voidApiHttpExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer)Callback with a OutputStream to generate response body -
Uses of ApiHttpExchange.OutputStreamConsumer in org.actioncontroller.client
Methods in org.actioncontroller.client with parameters of type ApiHttpExchange.OutputStreamConsumer Modifier and Type Method Description voidApiClientExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer)voidHttpURLConnectionApiClient.ClientExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer) -
Uses of ApiHttpExchange.OutputStreamConsumer in org.actioncontroller.httpserver
Methods in org.actioncontroller.httpserver with parameters of type ApiHttpExchange.OutputStreamConsumer Modifier and Type Method Description voidJdkHttpExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer) -
Uses of ApiHttpExchange.OutputStreamConsumer in org.actioncontroller.jakarta
Methods in org.actioncontroller.jakarta with parameters of type ApiHttpExchange.OutputStreamConsumer Modifier and Type Method Description voidFakeJakartaApiClient.FakeApiClientExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer)voidJakartaServletHttpExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer) -
Uses of ApiHttpExchange.OutputStreamConsumer in org.actioncontroller.servlet
Methods in org.actioncontroller.servlet with parameters of type ApiHttpExchange.OutputStreamConsumer Modifier and Type Method Description voidFakeServletClient.FakeApiClientExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer)voidServletHttpExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer) -
Uses of ApiHttpExchange.OutputStreamConsumer in org.actioncontroller.socket
Methods in org.actioncontroller.socket with parameters of type ApiHttpExchange.OutputStreamConsumer Modifier and Type Method Description voidSocketHttpExchange. output(String contentType, ApiHttpExchange.OutputStreamConsumer consumer)
-